qpid-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From mottese <mott...@sandia.gov>
Subject Enabling AMQP 1.0 on Qpid C++ Broker
Date Fri, 31 Mar 2017 18:14:45 GMT
Hi, I have a Qpid JMS (1.11.1) client trying to connect to a Qpid C++
(1.36.0) broker. I recently recompiled my qpid broker alongside Qpid Proton
and saw the message that AMQP 1.0 support was enabled. When my client tried
to connect, they kept getting a "transport connection remotely closed"
message. I did some more reading and found in the qpid-cpp repo's
docs/amqp-1.0.txt:

To enable 1.0 support in qpidd, the amqp module must be loaded. This
allows the broker to recognise the 1.0 protocol header alongside the
0-10 one. If installed, the module directory should be configured such
that this happens automatically. If not, use the --load-module option
and point to the amqp.so module.

I looked around the qpid-cpp and qpid-proton source, build, install
directories and was never able to find an amqp.so. It seems that I need this
for AMQP 1.0 support to be enabled on the broker. Do you know where I'd find
this?

Max



--
View this message in context: http://qpid.2158936.n2.nabble.com/Enabling-AMQP-1-0-on-Qpid-C-Broker-tp7661828.html
Sent from the Apache Qpid users mailing list archive at Nabble.com.

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@qpid.apache.org
For additional commands, e-mail: users-help@qpid.apache.org


Mime
View raw message